Description

This is a simple guide for setting up a standalone PostgreSQL database server on Debian.

e Use sudo to get a root shell
sudo -s
e Update the system:

apt—get update && sudo apt—-get upgrade

Install PostgreSQL

e |nstall PostgreSQL

apt—-get install postgresgl postgresgl-client

Configure PostgreSQL

e Edit pg_hba.conf to enable database access via the local socket:

nano /etc/postgresqgl/9.4/main/pg_hba.conf

o Replace peer with trust
local all all trust
e Edit the main postgresql config:

nano /etc/postgresqgl/9.4/main/postgresqgl.conf

o And change the listen_addresses parameter:
listen_addresses = '*!'
* Then append a rule to enable network access from a given subnet:

echo "host all all 192.168.0.0/24 trust" >> /etc/postgresqgl/9.4/main/pg_hba.conf
e And restart postgresql:

service postgresqgl restart

Create a database and user

e Connect to the default database:
su — postgres
psql

o Set a password for the postgres user:

\password postgres

o Create a new user, the postgres admin console will show postgres=#:

CREATE USER somepguser WITH PASSWORD 'somepguserpass';

o And a create a database:

CREATE DATABASE somepgdatabase OWNER somepguser;

o Quit from the database

\gq

o Exit from the postgres user

exit

e Connect as somepguser to the new database:

psgl —-d somepgdatabase -U somepguser

o If connecting from a remote host, connect using the following:

psgl -h pg.example.com —-d somepgdatabase -U somepguser

Resources

e https://wiki.debian.org/PostgreSal

History

#1 - 02/06/2015 09:13 PM - Daniel Curtis
- Status changed from New to Resolved

- % Done changed from 0 to 100

#2 - 02/09/2015 02:29 PM - Daniel Curtis
- Status changed from Resolved to Closed
#3 - 04/30/2015 01:53 PM - Daniel Curtis
- Description updated
- Category set to Database Server

- Target version set to Debian

#4 - 05/04/2015 03:34 PM - Daniel Curtis

- Description updated

#5 - 09/08/2015 02:47 PM - Daniel Curtis

- Description updated

#6 - 09/08/2015 08:03 PM - Daniel Curtis
- Subject changed from Installing PostgreSQL on Debian to Install PostgreSQL on Debian

- Description updated
